minetest.register_craftitem("cooking:cake", {
	description = "Cake",
	inventory_image = "cake.png",
	stack_max = 1,
	on_use = minetest.item_eat(20),
})

minetest.register_craft({
	output = "cooking:cake",
	recipe = {
		{ "bucket:bucket_milk", "bucket:bucket_milk", "bucket:bucket_milk" },
		{ "cooking:sugar", "default:chicken", "cooking:sugar" },
		{ "farming:wheat", "farming:wheat", "farming:wheat" },
	},
	replacements = {
		{ "bucket:bucket_milk", "bucket:bucket_empty" },
		{ "bucket:bucket_milk", "bucket:bucket_empty" },
		{ "bucket:bucket_milk", "bucket:bucket_empty" },
	},
})

minetest.register_craftitem("cooking:bread", {
	description = "Bread",
	inventory_image = "bread.png",
	on_use = minetest.item_eat(10),
})

minetest.register_craft({
	output = "cooking:bread",
	recipe = {
		{ "farming:wheat", "farming:wheat", "farming:wheat" },
	},
})

minetest.register_craftitem("cooking:compressed_sugar", {
	description = "Compressed Sugar",
	inventory_image = "compressed_sugar.png",
	groups = {},
	on_use = minetest.item_eat(6),
})

minetest.register_craftitem("cooking:sugar", {
	description = "Sugar",
	inventory_image = "sugar.png",
	groups = {},
	on_use = minetest.item_eat(1),
})

minetest.register_craft({
	output = "cooking:compressed_sugar",
	recipe = {
		{ "cooking:sugar", "cooking:sugar", "cooking:sugar" },
		{ "cooking:sugar", "cooking:sugar", "cooking:sugar" },
		{ "cooking:sugar", "cooking:sugar", "cooking:sugar" },
	},
})

minetest.register_craft({
	output = "cooking:sugar",
	recipe = {
		{ "cooking:sugar_cane" },
	},
})
